com.smartgwt.client.types

## Enum JoinType

- java.lang.Object
- - java.lang.Enum<JoinType>
  - - com.smartgwt.client.types.JoinType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<JoinType>

      public enum JoinType
      extends java.lang.Enum<JoinType>
      implements ValueEnum

  The type of join to make between two SQL tables when resolving `includeFrom` fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INNER` A regular inner join, whereby rows are only included in the resultset where the join can be satisified, so a missing row in the table being joined to results in the entire row being omitted.
    `OUTER` An outer join.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static JoinType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INNER

          public static final JoinType INNER

      A regular inner join, whereby rows are only included in the resultset where the join can be satisified, so a missing row in the table being joined to results in the entire row being omitted.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inner".

    - #### OUTER

          public static final JoinType OUTER

      An outer join. All outer joins generated by Smart GWT's SQL subsystem are left outer joins, meaning that every row in the join-from (or "left") table that matches the criteria is included, and missing rows in the join-to (or "right") table cause columns to be set to null.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "outer".

  - ### Method Detail

    - #### values

          public static JoinType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinType c : JoinType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`